Bug 62059 - tux.init should just pull in a tuxctl.conf file
tux.init should just pull in a tuxctl.conf file
Status: CLOSED RAWHIDE
Product: Red Hat Public Beta
Classification: Retired
Component: tux (Show other bugs)
skipjack-beta1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Michael K. Johnson
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-03-26 23:45 EST by Seth Vidal
Modified: 2007-04-18 12:41 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-03-27 17:03:33 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Seth Vidal 2002-03-26 23:45:43 EST
Description of Problem:
The /etc/init.d/tux file includes the variable definitions from
/etc/sysconfig/tux - but it only uses the ones it specifically makes use of.

There needs to be an easy way to define any of the other /proc/sys/net/tux
options w/o changing the init script.

I would recommend a /etc/tuxctl.conf file - just like sysctl.conf

then after you load the tux modules - run sysctl -p /etc/tuxctl.conf and bring
in any/all config options from that file.

It would save a lot of pain and annoyance with wanting to add something like
/proc/sys/net/tux/http_dir_indexing = 1 and not get an ugly rpm -V tux

the problem with adding the changes to the normal /etc/sysctl.conf file is that
the tux modules are not loaded when sysctl.conf gets pulled in the first time -
so it can't make settings that don't exist.

and while the /etc/init.d/tux file mentions /etc/sysctl.conf as a config file
for tux it is never used.

I think keeping the /etc/sysconfig/tux file would be useful for things like the
userid to run as  but it would be handy to have the other options be set-able
w/o editing the init script.

I can fix up the tux init script and send a patch if that is useful but I think
it would be a pretty trivial patch :)

Thanks
-sv
Comment 1 Michael K. Johnson 2002-03-27 16:59:36 EST
hmm, in the start() function, something like:
    [ -f /etc/sysctl.tux ] && sysctl -p /etc/sysctl.tux
(I like that name better because it is clearer)
I don't think I'll actually put the file in place, but
that lets you put it in if you need it.
Comment 2 Seth Vidal 2002-03-27 17:03:28 EST
works for me-  thanks - I always like the quick turnaround time y'all offer :)

Comment 3 Michael K. Johnson 2002-03-27 17:13:12 EST
Fixed in tux-2.2.5-1, and you're welcome.  Thanks for the suggestion.

Note You need to log in before you can comment on or make changes to this bug.